#!/bin/sh

# increase the number of file handles
ulimit -S -n 2000

# get the full pathname to the current script (i.e., ${0})
# and then toss the script name (i.e., /*) so we're
# left with the full pathname to where the script resides
# without relying on dirname, which might not be installed
dir="${0%/*}"

# the command to start the installer
cmd="jinstall.bin"

# move to the directory where this command file resides
cd "$dir"

# make sure the command is executable
chmod 0755 "$cmd"

# move all the log files to this subdirectory
cp ../../../*.log .

# run the installer from the same process
./$cmd

# move all the log files to the starting directory
# and remove them from the current directory
cp *.log ../../..
rm -fr *.log

